[Setup]
AppName=Ext2Fsd
AppVerName=Ext2Fsd 0.35
AppPublisher=Matt Wu
AppPublisherURL=http://www.ext2fsd.com
AppSupportURL=http://www.ext2fsd.com
AppUpdatesURL=http://www.ext2fsd.com
DefaultDirName={pf}\Ext2Fsd
DefaultGroupName=Ext2Fsd
AllowNoIcons=true
OutputDir=C:\temp\Ext2Fsd\0.35
OutputBaseFilename=Ext2Fsd-0.35
Compression=lzma
SolidCompression=true
InternalCompressLevel=max
SourceDir=C:\temp\Ext2Fsd\0.35\Ext2Fsd
VersionInfoVersion=1.35.07.12
VersionInfoCompany=Ext2Fsd Group
AllowUNCPath=false
DisableReadyPage=true
ShowLanguageDialog=auto
MinVersion=0,5.0.2195
OnlyBelowVersion=0,6.1
AppVersion=0.35
VersionInfoDescription=Installer for Ext2Fsd 0.35
UninstallRestartComputer=true
Uninstallable=true
ArchitecturesInstallIn64BitMode=x64

[Files]
Source: Documents\*; DestDir: {app}\Documents; Flags: ignoreversion; Components: driver
Source: Setup\Mke2fs.exe; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\Mount.exe; DestDir: {app}; Flags: ignoreversion; Components: driver
Source: Setup\w2k\Ext2Mgr.exe; DestDir: {app}; Components: driver; MinVersion: 0,5.0.2195; OnlyBelowVersion: 0,5.01.2599; Flags: uninsrestartdelete promptifolder
Source: Setup\wxp\Ext2Mgr.exe; DestDir: {app}; Components: driver; MinVersion: 0,5.01.2600; Flags: uninsrestartdelete promptifolder
Source: Setup\_setup64.exe;  DestDir: "{app}"; DestName: "_setup.exe"; Components: driver; Check: Is64BitInstallMode
Source: Setup\_setup32.exe;  DestDir: "{app}"; DestName: "_setup.exe"; Components: driver; Check: not Is64BitInstallMode
Source: Setup\w2k\ext2fsd.sys; DestDir: {sys}\Drivers; Components: driver; Check: not Is64BitInstallMode; MinVersion: 0,5.0.2195; OnlyBelowVersion: 0,5.01.2599; Flags: uninsrestartdelete promptifolder
Source: Setup\wxp\ext2fsd.sys; DestDir: {sys}\Drivers; Components: driver; Check: not Is64BitInstallMode; MinVersion: 0,5.01.2600; OnlyBelowVersion: 0,6.1; Flags: uninsrestartdelete promptifolder
Source: Setup\w64\ext2fsd.sys; DestDir: {sys}\Drivers; Components: driver; Check: Is64BitInstallMode; MinVersion: 0,5.01.2600; OnlyBelowVersion: 0,7.9; Flags: uninsrestartdelete promptifolder
Source: Src\*; DestDir: {app}\Src; Flags: ignoreversion recursesubdirs createallsubdirs; Components: source

[Icons]
Name: {group}\Ext2 Volume Manager; Filename: {app}\Ext2Mgr.exe; WorkingDir: {app}
Name: {group}\Documents\Frequently Asked Questions; Filename: {app}\Documents\FAQ.txt; WorkingDir: {app}\Documents
Name: {group}\Documents\Release Notes; Filename: {app}\Documents\notes.txt; WorkingDir: {app}\Documents
Name: {group}\Documents\Read Me; Filename: {app}\Documents\readme.txt; WorkingDir: {app}\Documents
Name: {group}\Uninstall Ext2Fsd; Filename: "{app}\unins000.exe"; WorkingDir: {app}

[Run]
Filename: {app}\Ext2Mgr.exe; Description: Start Ext2 Volume Manager Right Now; Flags: nowait postinstall skipifsilent; WorkingDir: {app}

[UninstallRun]
Filename: {app}\_setup.exe; Parameters: remove; WorkingDir: {app}; Flags: runhidden

[Types]
Name: custom; Description: Ext2Fsd Programs and Source Code; Flags: iscustom

[Components]
Name: driver; Description: Ext2 file system driver and applications; ExtraDiskSpaceRequired: 1177; Flags: fixed; Types: custom
Name: source; Description: Full source code of Ext2Fsd; ExtraDiskSpaceRequired: 4433

[Tasks]
Name: auto_start; Description: Make Ext2Fsd automatically started when system boots; Flags: unchecked
Name: ext2write; Description: Enable write support for Ext2 partitions; Flags: unchecked checkablealone
Name: ext2write\ext3write; Description: Enable force writing support on Ext3 partitions; Flags: unchecked dontinheritcheck

[Registry]
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: string; ValueName: DisplayName; ValueData: Linux ext2 file system driver; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: ErrorControl; ValueData: 00000001; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: string; ValueName: Group; ValueData: File System; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: Start; ValueData: 00000001; Flags: uninsdeletekey; Tasks: auto_start
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: Start; ValueData: 00000003; Flags: uninsdeletekey; Tasks: not auto_start
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd; ValueType: dword; ValueName: Type; ValueData: 00000002; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: WritingSupport; ValueData: 00000000; Flags: uninsdeletekey; Tasks: not ext2write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: WritingSupport; ValueData: 00000001; Flags: uninsdeletekey; Tasks: ext2write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: Ext3ForceWriting; ValueData: 00000000; Flags: uninsdeletekey; Tasks: not ext2write\ext3write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: Ext3ForceWriting; ValueData: 00000001; Flags: uninsdeletekey; Tasks:  ext2write\ext3write
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: dword; ValueName: CheckingBitmap; ValueData: 00000000; Flags: uninsdeletekey
Root: HKLM; SubKey: SYSTEM\CurrentControlSet\Services\Ext2Fsd\Parameters; ValueType: string; ValueName: CodePage; ValueData: default; Flags: uninsdeletekey

[Code]
procedure CurStepChanged(CurStep: TSetupStep);
var
  ResultCode: Integer;
begin
  Exec(ExpandConstant('{app}\_setup.exe'), 'install', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
end;

